Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class TcpMessageRequester

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageRequester
              org.mule.transport.tcp.TcpMessageRequester

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageRequester, MessageRequesting

    public class TcpMessageRequester

extends AbstractMessageRequester

Request transformed Mule events from TCP.

Field Summary

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Constructor Summary
`TcpMessageRequester(InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected MuleMessage` | `doRequest(long timeout)` Make a specific request to the underlying transport
`RetryContext` | `validateConnection(RetryContext retryContext)` Test whether the connector is able to connect to its resource(s).

Methods inherited from class org.mule.transport.AbstractMessageRequester
`dispose, getEndpoint, getWorkManager, initialise, request`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, doStart, doStop, exceptionThrown, getConnectEventId, getConnectionDescription, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageRequester
`activate, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### TcpMessageRequester

    public TcpMessageRequester(InboundEndpoint endpoint)

Method Detail

### doRequest

    protected MuleMessage doRequest(long timeout)
                             throws Exception

  Make a specific request to the underlying transport

  Specified by:
    `doRequest` in class `AbstractMessageRequester`
  Parameters:
    `timeout` - the maximum time the operation should block before returning. The call should return immediately if there is data available. If no data becomes available before the timeout elapses, null will be returned
  Returns:
    the result of the request wrapped in a MuleMessage object. Null will be returned if no data was available
  Throws:
    `Exception` - if the call to the underlying protocal cuases an exception

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### validateConnection

    public RetryContext validateConnection(RetryContext retryContext)

  Description copied from interface: `Connectable`
  Test whether the connector is able to connect to its resource(s). This will allow a retry policy to go into effect in the case of failure. Implementations must call either:
  - `RetryContext.setOk()` when no problems found (or no validation required).
  - `RetryContext.setFailed(Throwable)` with a root cause for a connection failure.
  Callers should then check for `RetryContext.isOk()`. The failure, if any, will be provided via the `RetryContext.getLastFailure()`.

  Specified by:
    `validateConnection` in interface `Connectable`
  Overrides:
    `validateConnection` in class `AbstractConnectable`
  Returns:
    same retry context with status info set and any failures populated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.